newBirthDescriptor {
  type = 'subrace',
  name = 'Nalore',
  desc = {
    "Neither physically strong like the Thaloren, nor magically inclined like the Shaloren, the Naloren are renowned for their swiftness and dexterous skill, as well as their strong spirit. They possess the #GOLD#Spirit of the Tides#WHITE# talent, allowing them to boost their power and resilience once in a while.",
	"They are expert wielders of tridents and whips, and none are their equals in the use of mail armor. Techniques that allow underwater breathing are second nature; even unaided they are able to hold their breath for great lengths.",
  "#GOLD#Stat modifiers:",
  "#LIGHT_BLUE# * -1 Strength, +4 Dexterity, +4 Constitution",
  "#LIGHT_BLUE# * -1 Magic,  -1 Cunning",
  "#GOLD#Life per level:#LIGHT_BLUE# 10",
  "#GOLD#Experience penalty:#LIGHT_BLUE# 15%",
  "#GOLD#Speed bonus:#LIGHT_BLUE# +10%"},
  inc_stats = { dex = 4, str = -1, mag = -1, cun= -1, con= 4 },
  experience = 1.15,
  random_escort_possibilities = { {"tier1.1", 1, 2}, {"tier1.2", 1, 2}, {"daikara", 1, 2}, {"old-forest", 1, 4}, {"dreadfell", 1, 8}, {"reknor", 1, 2}, },
  talents_types = {
		['race/naloren'] = {true, 0},
	},
	talents = { [ActorTalents.T_K_NALOREN_SPIRIT]=1 },
  copy = {
    moddable_tile = 'elf_#sex#',
    moddable_tile_base = 'base_shalore_01.png',
    moddable_tile_ornament = {female="braid_02"},
	random_name_def = "shalore_#sex#", random_name_max_syllables = 4,
    life_rating = 10,
	max_air = 250,
	can_breath = {water = 1},
	global_speed_base = 1.1,
    default_wilderness = {70, 38}, -- just nw of entrance to new shellsea
	starting_zone = "nalorenrace+town-new-shellsea",
	starting_quest = "start-shaloren",
	faction = "nalore",
    starting_intro = 'naloren',
    resolvers.inscription("INFUSION:_REGENERATION", {cooldown=10, dur=5, heal=100}, 1),
	resolvers.inscription("INFUSION:_WILD", {cooldown=14, what={physical=true}, dur=4, power=14}, 2),
	resolvers.inscription("INFUSION:_HEALING", {cooldown=12, heal=50}, 3),
	--resolvers.inventory({id=true, transmo=false, alter=function(o) o.inscription_data.cooldown=12 o.inscription_data.heal=50 end, {type="scroll", subtype="infusion", name="healing infusion", ego_chance=-1000, ego_chance=-1000}}),
    }
    
}

getBirthDescriptor("race", "Elf").descriptor_choices.subrace['Nalore'] = "allow"
