local Stats = require "engine.interface.ActorStats"
local Talents = require "engine.interface.ActorTalents"

newEntity{ base = "BASE_AMULET", define_as = "PENDANT_DEEP",
	power_source = {arcane=true},
	name = "Pendant of the Deep", unique=true, image = "object/artifact/pendant_deep.png",
	desc = [[The coral pendant on this amulet seems to be imbued with the intense cold of the abyssal depths.]],
	unided_name = "coral pendant",
	level_range = {5, 20},
	rarity = 200,
	cost = 100,
	material_level = 1,
	metallic = false,
	wielder = {
		inc_stats = {[Stats.STAT_WIL] = 8, [Stats.STAT_MAG] = 8,},
		inc_damage={ [DamageType.COLD] = 10, },
		resists={[DamageType.COLD] = 20,},
		mana_regen=0.5,
	},
	talent_on_spell = { {chance=15, talent=Talents.T_ICE_SHARDS, level=1} },
}

newEntity{ base = "BASE_LEATHER_BELT", define_as = "SLIPPERY_BELT",
	power_source = {unknown=true, nature=true},
	unique = true,
	name = "Slippery Belt", image = "object/artifact/slippery_belt.png",
	unided_name = "slimey tentacle",
	desc = [[It took quite a bit more effort to lash the tentacles into a belt than expected. It pulses with horrific energy.]],
	color = colors.GREEN,
	level_range = {5, 20},
	rarity = 200,
	cost = 100,
	material_level = 1,
	metallic = false,
	wielder = {
		inc_stats = { [Stats.STAT_WIL] = 8, [Stats.STAT_CUN] = 8,  },
		resists = {[DamageType.NATURE] = 20,},
		inc_damage={ [DamageType.NATURE] = 10, },
		equilibrium_regen = -0.5,
	},
	talent_on_mind = { {chance=15, talent=Talents.T_SLIME_SPIT, level=1} },
}
