-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2016 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org
local Talents = require "engine.interface.ActorTalents"

newEntity{
	define_as = "BASE_WHIP",
	slot = "MAINHAND", offslot = "OFFHAND",
	type = "weapon", subtype="whip",
	add_name = " (#COMBAT#)",
	display = "|", color=colors.SLATE, image = "object/generic_whip.png",
	moddable_tile = resolvers.moddable_tile("whip"),
	encumber = 3,
	trident_rarity = 5, -- Special rarity field, converted to "rarity" when needed
	metallic = true, -- artifact whips assume this to be true, and a few are, so we'll leave this and change it per teir
	combat = { talented = "whip", accuracy_effect = "sword", damrange = 1.1, physspeed = 0.8, sound = "actions/whip_hit", sound_miss = "actions/whip_miss",},
	desc = [[Long and lethal.]],
	randart_able = "/data/general/objects/random-artifacts/generic.lua",
	egos = "/data/general/objects/egos/weapon.lua", egos_chance = { prefix=resolvers.mbonus(40, 5), suffix=resolvers.mbonus(40, 5) },
}


newEntity{ base = "BASE_WHIP",
	name = "rough leather whip", short_name = "rough",
	level_range = {1, 10},
	require = { stat = { dex=11 }, },
	cost = 5,
	material_level = 1,
	metallic = false,
	combat = {
		dam = resolvers.rngavg(10,13),
		apr = 0,
		physcrit = 5,
		dammod = {dex=1},
	},
}

newEntity{ base = "BASE_WHIP",
	name = "cured leather whip", short_name = "cured",
	level_range = {10, 20},
	require = { stat = { dex= 16 }, },
	cost = 10,
	material_level = 2,
	metallic = false,
	combat = {
		dam = resolvers.rngavg(12,18),
		apr = 1,
		physcrit = 6,
		dammod = {dex=1},
	},
}

newEntity{ base = "BASE_WHIP",
	name = "braided leather whip", short_name = "braided",
	level_range = {20, 30},
	require = { stat = { dex= 24 }, },
	cost = 15,
	material_level = 3,
	metallic = false,
	combat = {
		dam = resolvers.rngavg(15,23),
		apr = 2,
		physcrit = 7,
		dammod = {dex=1},
	},
}

newEntity{ base = "BASE_WHIP",
	name = "beasthide leather whip", short_name = "b.hide",
	level_range = {30, 40},
	require = { stat = { dex= 35 }, },
	cost = 25,
	material_level = 4,
	metallic = false,
	combat = {
		dam = resolvers.rngavg(27,34),
		apr = 3,
		physcrit = 9,
		dammod = {dex=1},
	},
}

newEntity{ base = "BASE_WHIP",
	name = "drakeskin leather whip", short_name = "d.skin",
	level_range = {40, 50},
	require = { stat = { dex= 48 }, },
	cost = 35,
	material_level = 5,
	metallic = false,
	combat = {
		dam = resolvers.rngavg(38,42),
		apr = 4,
		physcrit = 11,
		dammod = {dex=1},
	},
}
