-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2019 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

-- Standard version has horrors, alt has Demons. 
-- We'll see what happnes with the horrors, their min level is ~15, so...
-- aquatic demons only has 1 lesser mob and Walrog, hrm...
local layout = game.state:alternateZone(short_name, {"DEMONIC", 2})
local is_demonic = layout == "DEMONIC"

return {
	name = "Abyssal Caves",
	level_range = {1, 7},
	level_scheme = "player",
	actor_adjust_level = function(zone, level, e) return zone.base_level + e:getRankLevelAdjust() + level.level-1 + rng.range(-1,2) end,
	max_level = 3,
	underwater = true,
	width = 50, height = 50,
	decay = {300, 800},
	persistent = "zone",
	ambient_music = {"Virtue lost.ogg", "weather/town_large_base.ogg"},
	allow_respec = "limited",
	effects = {"EFF_ZONE_AURA_UNDERWATER"},
-- Apply a bluish tint to all the map
	color_shown = {0.5, 1, 0.8, 1},
	color_obscure = {0.5*0.6, 1*0.6, 0.8*0.6, 0.6},
	max_material_level = 1,
	is_demonic = is_demonic,
	generator =  {
		map = {
			class = "engine.generator.map.Octopus",
			main_radius = {0.3, 0.3},
			arms_radius = {0.2, 0.2},
			arms_range = {0.4, 0.8},
			nb_rooms = {6, 8},
			['#'] = {
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
				"HARDCAVEWALL",
			},
			['.'] = {
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
				"CAVEFLOOR",
			},
			up = "CAVE_LADDER_UP",
			down = "CAVE_LADDER_DOWN",
			door = "CAVEFLOOR",
		},
		actor = {
			class = "mod.class.generator.actor.Random",
			nb_npc = {15, 25},
			filters = { {max_ood=2}, },
			guardian = is_demonic and "HERALD_OF_WALROG" or "SHRIEKING_ABYSSAL_HORROR",
		},
		object = {
			class = "engine.generator.object.Random",
			nb_object = {6, 9},
		},

	},
	levels = {
		[1] = {
			generator = { map = {
				up = "TOWN_NEWSHELLSEA",
			}, },
		},
	},

}
