local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorResource = require "engine.interface.ActorResource"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"
local DamageType = require "engine.DamageType"
local Zone = require "engine.Zone"


class:bindHook('ToME:load', function(self, data)
	dofile("/data-nalorenrace/factions.lua")
	DamageType:loadDefinition("/data-nalorenrace/damage_types.lua")
  ActorTalents:loadDefinition('/data-nalorenrace/talents.lua')
  ActorTemporaryEffects:loadDefinition('/data-nalorenrace/effects.lua')
	Birther:loadDefinition("/data-nalorenrace/birth.lua")

end)

class:bindHook("Entity:loadList", function(self, data)
	if data.file == "/data/zones/wilderness/grids.lua" then
		self:loadList("/data-nalorenrace/wilderness-overlay-grids.lua", data.no_default, data.res, data.mod, data.loaded)
	end
	if data.file == "/data/general/objects/objects.lua" then
		self:loadList("/data-nalorenrace/general/objects/whips.lua", data.no_default, data.res, data.mod, data.loaded)
	end
	if data.file == "/data/general/objects/world-artifacts.lua" then
		self:loadList("/data-nalorenrace/general/objects/artifacts.lua", data.no_default, data.res, data.mod, data.loaded)
	end
	if data.file == '/data/general/stores/basic.lua' then
		self:loadList("/data-nalorenrace/general/stores/basic.lua", data.no_default, data.res, data.mod, data.loaded)
	end
	-- if data.file == "/data/general/objects/world-artifacts.lua" then
		-- for _,obj in pairs(data.res) do
			-- if type(obj) == "table" and obj.name then
				-- if obj.name == "Serpent's Glare" then obj.define_as = "SERPENTS_GLARE" end
				-- if obj.name == "Silk Current" then obj.define_as = "SILK_CURRENT" end
			-- end
		-- end
	-- end

end)


class:bindHook("MapGeneratorStatic:subgenRegister", function(self, data)
	if data.mapfile ~= "wilderness/eyal" then return end

	data.list[#data.list+1] = {
		x = 71, y = 39, w = 1, h = 1, overlay = true,
		generator = "engine.generator.map.Static",
		data = {
			map = "nalorenrace+new-shellsea-overlay",
		},
	}

end)