local _M = loadPrevious(...)
local base_canWearObject = _M.canWearObject
 
function _M:canWearObject(o, try_slot)
	if self:attr("forbid_arcane") and o.power_source and o.power_source.arcane then
		return nil, "antimagic"
	end

	local oldreq = nil
		
	if self:knowTalent(self.T_K_MAIL_MASTERY) then
		oldreq = rawget(o, "require")
		o.require = table.clone(oldreq or {}, true)
		if o.require.talent and o.require.talent[1] == self.T_ARMOUR_TRAINING and o.subtype ~= "massive" and o.subtype ~= "shield" then
			oldreq = nil
			o.require.talent[1] = self.T_K_MAIL_MASTERY
			
			if o.subtype == "heavy" and self:getTalentLevelRaw(self.T_K_MAIL_MASTERY) >= 5 then	
				if o.require.stat and o.require.stat.str then
					oldreq = nil
					o.require.stat.con, o.require.stat.str = o.require.stat.str, nil
				end
			end
		end
		
		

		local ok, reason = engine.interface.ActorInventory.canWearObject(self, o, try_slot)
	
		if oldreq then
			o.require = oldreq
		end
	
		return ok, reason
	else
		return base_canWearObject(self, o, try_slot)
	end
	
end

return _M