require "engine.class"
require "engine.Object"
require "engine.interface.ObjectActivable"
require "engine.interface.ObjectIdentify"

local Stats = require("engine.interface.ActorStats")
local Talents = require("engine.interface.ActorTalents")
local DamageType = require("engine.DamageType")
local Combat = require("mod.class.interface.Combat")
local _M = loadPrevious(...)
local base_getRequirementDesc = _M.getRequirementDesc

function _M:getRequirementDesc(who)
	local oldreq = nil
	if  type(self.require) == "table" and who:knowTalent(who.T_K_MAIL_MASTERY) then
		local oldreq = rawget(self, "require")
		self.require = table.clone(oldreq, true)
		if self.subtype == "heavy" and self.require.stat and self.require.stat.str and  who:getTalentLevelRaw(who:getTalentFromId(who.T_K_MAIL_MASTERY)) >= 5 then
			self.require.stat.con, self.require.stat.str = self.require.stat.str, nil
		end
		if self.require.talent and self.require.talent[1] == who.T_ARMOUR_TRAINING and self.subtype ~= "massive" and self.subtype ~= "shield" then
			self.require.talent[1] = who.T_K_MAIL_MASTERY
		end
		local desc = base_getRequirementDesc(self, who)

		self.require = oldreq

		return desc
	else
		return base_getRequirementDesc(self, who)
	end
end

return _M
